### Virtual Method

# Soup Auth get_protection_space

#### Declaration [src]

    GSList*
    get_protection_space (
      SoupAuth* auth,
      GUri* source_uri
    )

#### Description [src]

Returns a list of paths on the server which `auth` extends over.

(All subdirectories of these paths are also assumed to be part of `auth`‘s protection space, unless otherwise discovered not to be.)

#### Parameters

`source_uri` | `GUri`
| The URI of the request that `auth` was generated in response to.
| The data is owned by the caller of the function.

#### Return value

Returns: | A list of `utf8`
| The list of paths, which can be freed with `soup_auth_free_protection_space()`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| Each element is a NUL terminated UTF-8 string.